//
//  PartsApplyDetailStatusCell.swift
//  VattiCSS
//
//  Created by WZR on 2023/9/22.
//

import UIKit

class PartsApplyDetailStatusCell: UITableViewCell {
    @IBOutlet weak var img_icon: UIImageView!
    @IBOutlet weak var lab_stat: UILabel!
    @IBOutlet weak var view_type1: UIView!
    @IBOutlet weak var lab_type1: UILabel!
    @IBOutlet weak var view_type2: UIView!
    @IBOutlet weak var lab_type2: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
extension PartsApplyDetailStatusCell: TCCell_RowCellUpdateProtocol {
    typealias DataSource = (String, String, String, String)
    typealias ConfigModel = Any
    
    func row_update(dataSource data: DataSource) {
        img_icon.cd.image(UIImage(named: data.0))
        lab_stat.cd.text(data.1)
        view_type1.cd.isHidden(data.2.isEmpty)
        lab_type1.cd.text(data.2)
        view_type2.cd.isHidden(data.3.isEmpty)
        lab_type2.cd.text(data.3)
    }
    
    func row_update(config data: ConfigModel) {
        
    }
}
